Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.image
Class AbstractFilter

    java.lang.Object
      org.jdesktop.beans.AbstractBean
          org.jdesktop.swingx.image.AbstractFilter

All Implemented Interfaces:
  java.awt.image.BufferedImageOp

Direct Known Subclasses:
  ColorTintFilter, FastBlurFilter, GaussianBlurFilter, StackBlurFilter

    public abstract class AbstractFilter

extends AbstractBean
implements java.awt.image.BufferedImageOp

Provides an abstract implementation of the `BufferedImageOp` interface. This class can be used to created new image filters based on `BufferedImageOp`.

Author:
  Romain Guy

Constructor Summary
`AbstractFilter()`

Method Summary
`java.awt.image.BufferedImage` | `createCompatibleDestImage(java.awt.image.BufferedImage src, java.awt.image.ColorModel destCM)`
`abstract java.awt.image.BufferedImage` | `filter(java.awt.image.BufferedImage src, java.awt.image.BufferedImage dest)`
`java.awt.geom.Rectangle2D` | `getBounds2D(java.awt.image.BufferedImage src)`
`java.awt.geom.Point2D` | `getPoint2D(java.awt.geom.Point2D srcPt, java.awt.geom.Point2D dstPt)`
`java.awt.RenderingHints` | `getRenderingHints()`

Methods inherited from class org.jdesktop.beans.AbstractBean
`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, clone, fireIndexedPropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, fireVetoableChange, getPropertyChangeListeners, getPropertyChangeListeners, getVetoableChangeListeners, getVetoableChangeListeners, hasPropertyChangeListeners, hasVetoableChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, removeVetoableChangeListener`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFilter

    public AbstractFilter()

Method Detail

### filter

    public abstract java.awt.image.BufferedImage filter(java.awt.image.BufferedImage src,
                                                        java.awt.image.BufferedImage dest)

  Specified by:
    `filter` in interface `java.awt.image.BufferedImageOp`

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D(java.awt.image.BufferedImage src)

  Specified by:
    `getBounds2D` in interface `java.awt.image.BufferedImageOp`

### createCompatibleDestImage

    public java.awt.image.BufferedImage createCompatibleDestImage(java.awt.image.BufferedImage src,
                                                                  java.awt.image.ColorModel destCM)

  Specified by:
    `createCompatibleDestImage` in interface `java.awt.image.BufferedImageOp`

### getPoint2D

    public java.awt.geom.Point2D getPoint2D(java.awt.geom.Point2D srcPt,
                                            java.awt.geom.Point2D dstPt)

  Specified by:
    `getPoint2D` in interface `java.awt.image.BufferedImageOp`

### getRenderingHints

    public java.awt.RenderingHints getRenderingHints()

  Specified by:
    `getRenderingHints` in interface `java.awt.image.BufferedImageOp`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.